#include <iostream>
using namespace std;
int func(int *x, int *y);
int main()
{
    cout << "Digite dois numeros.\n";
    int var1;
    int var2;
    
    cout << "num1: ";
    cin >> var1;
    
    cout << "num2: ";
    cin >> var2;
    
    func(&var1, &var2);
    
    system("PAUSE");
    return 0;
}

int func(int *x, int *y)
{
    if(*x>*y)
    cout << "A diferença entre eles e: " << *x-*y << "\n";
    
    if(*x<*y)
    cout << "A diferença entre eles e: " << *y-*x << "\n";
    
    if(*x==*y)
    cout << "A diferença entre eles e: " << 0 << "\n";
    
    return 0;
}
